libosmovty4_0.12.1-2_amd64.deb


Advertisement

Description

libosmovty4 - Osmo VTY library

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libosmovty4_0.12.1-2_amd64.deb
Package name libosmovty4
Package version 0.12.1
Package release 2
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://bb.osmocom.org/trac/wiki/libosmocore
License -
Maintainer Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Download size 58.36 KB
Installed size 170.00 KB

Alternatives

Package Version Architecture Repository
libosmovty4_0.12.1-2_i386.deb 0.12.1 i386 Debian Main
libosmovty4 - - -

Requires

Name Value
libc6 >= 2.14
libosmocore11 >= 0.11.0
libtalloc2 >= 2.0.4~git20101213

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libosmovty4_0.12.1-2_amd64.deb
Source Package libosmocore

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libosmovty4 deb package:
    # sudo apt-get install libosmovty4

Files

Path
/usr/lib/x86_64-linux-gnu/libosmovty.so.4
/usr/lib/x86_64-linux-gnu/libosmovty.so.4.1.0
/usr/share/doc/libosmovty4/changelog.Debian.gz
/usr/share/doc/libosmovty4/changelog.gz
/usr/share/doc/libosmovty4/copyright

Changelog

2018-11-14 - Ruben Undheim <ruben.undheim@gmail.com>
libosmocore (0.12.1-2) unstable; urgency=medium
* debian/rules:
- Enable test suite on big-endian architectures
* Two new patches to fix test suite on big-endian architectures:
- 0005-Structs-for-big-endian.patch
- 0006-Fix-some-byte-ordering-for-big-endian-architectures.patch
2018-11-05 - Ruben Undheim <ruben.undheim@gmail.com>
libosmocore (0.12.1-1) unstable; urgency=medium
* Upload to unstable
2018-09-30 - Ruben Undheim <ruben.undheim@gmail.com>
libosmocore (0.12.1-1~exp2) experimental; urgency=medium
* debian/control:
- New standards version 4.2.1 - no changes
- Update Breaks+Replaces relation for libosmocoding to
libosmocore9 (<< 0.10.2-7). This will allow libosmocore9 (sid) and
libosmocoding0 (experimental) to be installed at the same time.
* debian/changelog:
- New changelog entry from unstable (0.10.2-7) inserted in the changelog
(sorted by version)
2018-08-29 - Ruben Undheim <ruben.undheim@gmail.com>
libosmocore (0.12.1-1~exp1) experimental; urgency=medium
* New upstream release
* Drop patch debian/patches/0005-Fix-erronous-LIBVERSION-for-libosmovty.patch
since fixed upstream
2018-08-25 - Ruben Undheim <ruben.undheim@gmail.com>
libosmocore (0.12.0-1~exp1) experimental; urgency=medium
* New upstream release
* Refreshed patches
* debian/changelog_upstream added
* debian/control:
- New standards version 4.2.0 - no changes
- New binary package libosmoctrl-doc
- libosmocore10 -> libosmocore11
- libosmogsm9 -> libosmogsm10
* debian/copyright:
- Added copyright information for two new files
- Updated copyright years for maintainers
* debian/libosmoctrl-doc.doc-base added
* debian/patches/0005-Fix-erronous-LIBVERSION-for-libosmovty.patch:
- Fixing erroneous LIBVERSION set by upstream
* debian/rules:
- Delete more in override_dh_clean such that the build directory
is properly cleaned up.
- Override override_dh_installchangelogs such that the upstream
changelog gets installed.
- Use /usr/share/dpkg/pkg-info.mk instead of dpkg-parsechangelog
2018-08-02 - Ruben Undheim <ruben.undheim@gmail.com>
libosmocore (0.11.0-2~exp2) experimental; urgency=medium
* Add libosmocoding0 as a dependency for libosmocore-dev (Closes: #905043)
2018-07-12 - Ruben Undheim <ruben.undheim@gmail.com>
libosmocore (0.11.0-2~exp1) experimental; urgency=medium
* debian/control:
- Add Breaks+Replaces relation for libosmocoding0:
libosmocore9 (<< 0.11.0-1) (Closes: #901216)
- New standards version 4.1.5 - no changes
2018-05-14 - Thorsten Alteholz <debian@alteholz.de>
libosmocore (0.11.0-1) experimental; urgency=medium
* New upstream release
* upload to experimental
* debian/control: add new dependency of gnutls
* debian/patches: add new spelling patch
* soname bumps:
* libosmogsm8 -> libosmogms9
* libosmogb5   -> libosmogb6
* libosmocore9 -> libosmocore10
* new library: libosmocoding0 (Closes: #897278)
debian/* files taken from upstream
2018-09-30 - Ruben Undheim <ruben.undheim@gmail.com>
libosmocore (0.10.2-8) unstable; urgency=medium
* debian/control:
- Dependency on libosmocoding0 should not be tied to specific version.
2018-09-30 - Ruben Undheim <ruben.undheim@gmail.com>
libosmocore (0.10.2-7) unstable; urgency=medium
* Put libosmocoding0 into separate package such as in experimental
- This should ease migration. libosmocore9 (sid) and libosmocoding0
(experimental) can be installed at the same time.
* Some trivial lintian fixes (whitespaces, Vcs URL etc.)
* debian/rules:
- Properly clean up in make target

See Also

Package Description
libosmoxua0_0.10.0-4_amd64.deb Osmocom SCCP support library for generating and parsing messages
libosmpbf-dev_1.3.3-11+b1_amd64.deb C headers for OpenStreetMap PBF file format
libosmpbf-java_1.3.3-11_all.deb Java access library for OpenStreetMap PBF file format
libosmvendor4_3.3.21-2_amd64.deb InfiniBand subnet manager - vendor library
libosp-dev_1.5.2-13+b1_amd64.deb OpenJade group's SP suite, developer support
libosp5_1.5.2-13+b1_amd64.deb Runtime library for OpenJade group's SP suite
libosptk-dev_4.13.0-1_amd64.deb OSP Toolkit development library and header files
libosptk4_4.13.0-1_amd64.deb OSP Toolkit shared library
liboss4-salsa-asound2_4.2-build2017-1_amd64.deb OSS to Alsa compatibility library - binary compatibility symlink
liboss4-salsa2_4.2-build2017-1_amd64.deb OSS to Alsa compatibility library
libossim-dev_2.6.2-1_amd64.deb OSSIM library -- development files
libossim1_2.6.2-1_amd64.deb OSSIM library -- shared library
libossp-sa-dev_1.2.6-2_amd64.deb Abstraction library for the Unix socket API
libossp-sa12_1.2.6-2_amd64.deb Abstraction library for the Unix socket API
libossp-uuid-dev_1.6.2-1.5+b7_amd64.deb OSSP uuid ISO-C and C++ - headers and static libraries
Advertisement
Advertisement